petsc-3.4.2 2013-07-02

# SNESObjectiveFunction

functional form used to convey the objective function to the nonlinear solver

### Synopsis

    #include "petscsnes.h"
    SNESObjectiveFunction(SNES snes,Vec x,PetscReal *obj,void *ctx);

### Input Parameters

| snes | - the SNES context
| X | - solution
| F | - current function/gradient
| obj | - real to hold the objective value
| ctx | - optional user-defined objective context

### See Also

SNESSetFunction(), SNESGetFunction(), SNESSetObjective(), SNESGetObjective()

Level:advanced
Location:src/snes/interface/snesob.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages